## OsmGpsMapTrack OsmGpsMapTrack — A list of GPS points |

## Stability Level

Stable, unless otherwise indicated

## Functions

void | osm_gps_map_track_add_point ()
void | osm_gps_map_track_get_color ()
GSList * | osm_gps_map_track_get_points ()
OsmGpsMapTrack * | osm_gps_map_track_new ()

## Properties

gfloat | alpha | Read / Write / Construct
GdkRGBA * | color | Read / Write
gboolean | editable | Read / Write / Construct
gfloat | line-width | Read / Write / Construct
gpointer | track | Read / Write / Construct Only
gboolean | visible | Read / Write / Construct

## Signals

void | point-added | Run First
void | point-changed | Run First
void | point-inserted | Run First
void | point-removed | Run First

## Types and Values

struct | OsmGpsMapTrack
struct | OsmGpsMapTrackClass

## Object Hierarchy

        GObject
        ╰── OsmGpsMapTrack

## Includes

    #include <osm-gps-map.h>

## Description

OsmGpsMapTrack stores multiple OsmGpsMapPoint objects, i.e. a track, and describes how such a track should be drawn on the map (see `osm_gps_map_track_add()`), including its colour, width, etc.

## Functions

### osm_gps_map_track_add_point ()

    void
    osm_gps_map_track_add_point (OsmGpsMapTrack *track,
                                 const OsmGpsMapPoint *point);

#### Parameters

point (in) | point to add |

Since: 0.7.0

### osm_gps_map_track_get_color ()

    void
    osm_gps_map_track_get_color (OsmGpsMapTrack *track,
                                 GdkRGBA *color);

### osm_gps_map_track_get_points ()

    GSList *
    osm_gps_map_track_get_points (OsmGpsMapTrack *track);

#### Parameters

track (in) | a OsmGpsMapTrack |

#### Returns

list of OsmGpsMapPoint.

[element-type OsmGpsMapPoint][transfer full]

Since: 0.7.0

### osm_gps_map_track_new ()

    OsmGpsMapTrack *
    osm_gps_map_track_new (void);

## Types and Values

### struct OsmGpsMapTrack

    struct OsmGpsMapTrack;

### struct OsmGpsMapTrackClass

    struct OsmGpsMapTrackClass {
        GObjectClass parent_class;
    };

## Property Details

### The `“alpha”` property

      “alpha”                    gfloat

alpha transparency of the track.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.6

### The `“color”` property

      “color”                    GdkRGBA *

color of the track.

Flags: Read / Write

### The `“editable”` property

      “editable”                 gboolean

should this track be editable.

Flags: Read / Write / Construct

Default value: FALSE

### The `“line-width”` property

      “line-width”               gfloat

width of the lines drawn for the track.

Flags: Read / Write / Construct

Allowed values: [0,100]

Default value: 4

### The `“track”` property

      “track”                    gpointer

list of points for the track.

Flags: Read / Write / Construct Only

### The `“visible”` property

      “visible”                  gboolean

should this track be visible.

Flags: Read / Write / Construct

Default value: TRUE

## Signal Details

### The `“point-added”` signal

    void
    user_function (OsmGpsMapTrack *self,
                   OsmGpsMapPoint *arg1,
                   gpointer        user_data)

The point-added signal.

#### Parameters

self | A OsmGpsMapTrack |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“point-changed”` signal

    void
    user_function (OsmGpsMapTrack *osmgpsmaptrack,
                   gint            arg1,
                   gpointer        user_data)

Flags: Run First

### The `“point-inserted”` signal

    void
    user_function (OsmGpsMapTrack *osmgpsmaptrack,
                   gint            arg1,
                   gpointer        user_data)

Flags: Run First

### The `“point-removed”` signal

    void
    user_function (OsmGpsMapTrack *osmgpsmaptrack,
                   gint            arg1,
                   gpointer        user_data)

Flags: Run First